Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class ArrayExpr

    java.lang.Object
      org.basex.query.xpath.expr.Expr
          org.basex.query.xpath.expr.ArrayExpr

Direct Known Subclasses:
  And, FTAnd, FTIntersection, FTMildNot, FTNotExprs, FTOr, FTUnaryNot, FTUnion, InterSect, Or, Union

    public abstract class ArrayExpr

extends Expr

This is an abstract class for array expressions.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`Expr[]` | `exprs` Array with arguments.

Constructor Summary
`ArrayExpr()`

Method Summary
`boolean` | `sameAs(Expr cmp)` Checks current and specified expression for equivalence.
`java.lang.String` | `toString()`
`boolean` | `usesPos()` Checks whether this Expression (or its children) make use of the position parameter.
`boolean` | `usesSize()` Checks whether this Expression (or its children) make use of the setsize parameter.

Methods inherited from class org.basex.query.xpath.expr.Expr
`compile, eval, indexEquivalent, indexSizes, returnedValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exprs

    public Expr[] exprs

  Array with arguments.

Constructor Detail

### ArrayExpr

    public ArrayExpr()

Method Detail

### sameAs

    public final boolean sameAs(Expr cmp)

  Description copied from class: `Expr`
  Checks current and specified expression for equivalence.

  Overrides:
    `sameAs` in class `Expr`
  Parameters:
    `cmp` - expression to be compared
  Returns:
    result of check

### toString

    public final java.lang.String toString()

  Specified by:
    `toString` in class `Expr`

### usesPos

    public final boolean usesPos()

  Description copied from class: `Expr`
  Checks whether this Expression (or its children) make use of the position parameter. If not this allows some nice optimizations.

  Specified by:
    `usesPos` in class `Expr`
  Returns:
    whether position is used

### usesSize

    public final boolean usesSize()

  Description copied from class: `Expr`
  Checks whether this Expression (or its children) make use of the setsize parameter. If not this allows early predicate evaluation.

  Specified by:
    `usesSize` in class `Expr`
  Returns:
    whether setsize is used

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD